checkout_sid_events_pi_post
curl --request POST \
--url https://checkout.dintero.com/v1/view/{session_id}/session/events/payment_information \
--header 'Content-Type: application/json' \
--data '
{
"payment_product_type": "klarna.klarna",
"billing_address": {
"first_name": "John",
"last_name": "Doe",
"address_line": "Gaustadalleen 21",
"postal_code": "0349",
"postal_place": "Oslo",
"country": "NO",
"phone_number": "<string>",
"email": "<string>",
"address_line_2": "<string>",
"business_name": "<string>"
},
"shipping_address": {
"first_name": "John",
"last_name": "Doe",
"address_line": "Gaustadalleen 21",
"postal_code": "0349",
"postal_place": "Oslo",
"country": "NO",
"phone_number": "<string>",
"email": "<string>",
"address_line_2": "<string>",
"business_name": "<string>"
},
"locale": "en-GB"
}
'import requests
url = "https://checkout.dintero.com/v1/view/{session_id}/session/events/payment_information"
payload = {
"payment_product_type": "klarna.klarna",
"billing_address": {
"first_name": "John",
"last_name": "Doe",
"address_line": "Gaustadalleen 21",
"postal_code": "0349",
"postal_place": "Oslo",
"country": "NO",
"phone_number": "<string>",
"email": "<string>",
"address_line_2": "<string>",
"business_name": "<string>"
},
"shipping_address": {
"first_name": "John",
"last_name": "Doe",
"address_line": "Gaustadalleen 21",
"postal_code": "0349",
"postal_place": "Oslo",
"country": "NO",
"phone_number": "<string>",
"email": "<string>",
"address_line_2": "<string>",
"business_name": "<string>"
},
"locale": "en-GB"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
payment_product_type: 'klarna.klarna',
billing_address: {
first_name: 'John',
last_name: 'Doe',
address_line: 'Gaustadalleen 21',
postal_code: '0349',
postal_place: 'Oslo',
country: 'NO',
phone_number: '<string>',
email: '<string>',
address_line_2: '<string>',
business_name: '<string>'
},
shipping_address: {
first_name: 'John',
last_name: 'Doe',
address_line: 'Gaustadalleen 21',
postal_code: '0349',
postal_place: 'Oslo',
country: 'NO',
phone_number: '<string>',
email: '<string>',
address_line_2: '<string>',
business_name: '<string>'
},
locale: 'en-GB'
})
};
fetch('https://checkout.dintero.com/v1/view/{session_id}/session/events/payment_information', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://checkout.dintero.com/v1/view/{session_id}/session/events/payment_information"
payload := strings.NewReader("{\n \"payment_product_type\": \"klarna.klarna\",\n \"billing_address\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"address_line\": \"Gaustadalleen 21\",\n \"postal_code\": \"0349\",\n \"postal_place\": \"Oslo\",\n \"country\": \"NO\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"business_name\": \"<string>\"\n },\n \"shipping_address\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"address_line\": \"Gaustadalleen 21\",\n \"postal_code\": \"0349\",\n \"postal_place\": \"Oslo\",\n \"country\": \"NO\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"business_name\": \"<string>\"\n },\n \"locale\": \"en-GB\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://checkout.dintero.com/v1/view/{session_id}/session/events/payment_information")
.header("Content-Type", "application/json")
.body("{\n \"payment_product_type\": \"klarna.klarna\",\n \"billing_address\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"address_line\": \"Gaustadalleen 21\",\n \"postal_code\": \"0349\",\n \"postal_place\": \"Oslo\",\n \"country\": \"NO\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"business_name\": \"<string>\"\n },\n \"shipping_address\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"address_line\": \"Gaustadalleen 21\",\n \"postal_code\": \"0349\",\n \"postal_place\": \"Oslo\",\n \"country\": \"NO\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"business_name\": \"<string>\"\n },\n \"locale\": \"en-GB\"\n}")
.asString();{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}view
Add payment information
POST
https://checkout.dintero.com/v1
/
view
/
{session_id}
/
session
/
events
/
payment_information
checkout_sid_events_pi_post
curl --request POST \
--url https://checkout.dintero.com/v1/view/{session_id}/session/events/payment_information \
--header 'Content-Type: application/json' \
--data '
{
"payment_product_type": "klarna.klarna",
"billing_address": {
"first_name": "John",
"last_name": "Doe",
"address_line": "Gaustadalleen 21",
"postal_code": "0349",
"postal_place": "Oslo",
"country": "NO",
"phone_number": "<string>",
"email": "<string>",
"address_line_2": "<string>",
"business_name": "<string>"
},
"shipping_address": {
"first_name": "John",
"last_name": "Doe",
"address_line": "Gaustadalleen 21",
"postal_code": "0349",
"postal_place": "Oslo",
"country": "NO",
"phone_number": "<string>",
"email": "<string>",
"address_line_2": "<string>",
"business_name": "<string>"
},
"locale": "en-GB"
}
'import requests
url = "https://checkout.dintero.com/v1/view/{session_id}/session/events/payment_information"
payload = {
"payment_product_type": "klarna.klarna",
"billing_address": {
"first_name": "John",
"last_name": "Doe",
"address_line": "Gaustadalleen 21",
"postal_code": "0349",
"postal_place": "Oslo",
"country": "NO",
"phone_number": "<string>",
"email": "<string>",
"address_line_2": "<string>",
"business_name": "<string>"
},
"shipping_address": {
"first_name": "John",
"last_name": "Doe",
"address_line": "Gaustadalleen 21",
"postal_code": "0349",
"postal_place": "Oslo",
"country": "NO",
"phone_number": "<string>",
"email": "<string>",
"address_line_2": "<string>",
"business_name": "<string>"
},
"locale": "en-GB"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
payment_product_type: 'klarna.klarna',
billing_address: {
first_name: 'John',
last_name: 'Doe',
address_line: 'Gaustadalleen 21',
postal_code: '0349',
postal_place: 'Oslo',
country: 'NO',
phone_number: '<string>',
email: '<string>',
address_line_2: '<string>',
business_name: '<string>'
},
shipping_address: {
first_name: 'John',
last_name: 'Doe',
address_line: 'Gaustadalleen 21',
postal_code: '0349',
postal_place: 'Oslo',
country: 'NO',
phone_number: '<string>',
email: '<string>',
address_line_2: '<string>',
business_name: '<string>'
},
locale: 'en-GB'
})
};
fetch('https://checkout.dintero.com/v1/view/{session_id}/session/events/payment_information', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://checkout.dintero.com/v1/view/{session_id}/session/events/payment_information"
payload := strings.NewReader("{\n \"payment_product_type\": \"klarna.klarna\",\n \"billing_address\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"address_line\": \"Gaustadalleen 21\",\n \"postal_code\": \"0349\",\n \"postal_place\": \"Oslo\",\n \"country\": \"NO\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"business_name\": \"<string>\"\n },\n \"shipping_address\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"address_line\": \"Gaustadalleen 21\",\n \"postal_code\": \"0349\",\n \"postal_place\": \"Oslo\",\n \"country\": \"NO\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"business_name\": \"<string>\"\n },\n \"locale\": \"en-GB\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://checkout.dintero.com/v1/view/{session_id}/session/events/payment_information")
.header("Content-Type", "application/json")
.body("{\n \"payment_product_type\": \"klarna.klarna\",\n \"billing_address\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"address_line\": \"Gaustadalleen 21\",\n \"postal_code\": \"0349\",\n \"postal_place\": \"Oslo\",\n \"country\": \"NO\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"business_name\": \"<string>\"\n },\n \"shipping_address\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"address_line\": \"Gaustadalleen 21\",\n \"postal_code\": \"0349\",\n \"postal_place\": \"Oslo\",\n \"country\": \"NO\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"business_name\": \"<string>\"\n },\n \"locale\": \"en-GB\"\n}")
.asString();{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Path Parameters
The session ID
Body
application/json
- klarna.klarna
- klarna.billie
The payment product type corresponding to event
Available options:
klarna.klarna Show child attributes
Show child attributes
Show child attributes
Show child attributes
Combination of purchase country and language. Example: "en-GB"
Pattern:
^[A-Za-z]{2}-[A-Za-z]{2}$Example:
"en-GB"
Response
Payment information event added
Last modified on July 10, 2026
⌘I